Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class RouteableExceptionStrategy

    java.lang.Object
      org.mule.exception.AbstractExceptionListener
          org.mule.exception.AbstractMessagingExceptionStrategy
              org.mule.RouteableExceptionStrategy

All Implemented Interfaces:
  MuleContextAware, MessagingExceptionHandler, Disposable, Initialisable

    public class RouteableExceptionStrategy

extends AbstractMessagingExceptionStrategy

`RouteableExceptionStrategy` allows transforming and routing exceptions to outbound routers. This exception strategy does not take into account any defined endpoints in its instance variable.

Since:
  2.2.6
Author:
  estebanroblesluna

Field Summary

Fields inherited from class org.mule.exception.AbstractExceptionListener
`commitTxFilter, enableNotifications, initialised, logger, messageProcessors, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`RouteableExceptionStrategy()`

Method Summary
`protected void` | `defaultHandler(MuleMessage message, Throwable t)`
`protected MuleMessage` | `getMessageFromContext(MuleMessage message)`
`OutboundRouter` | `getRouter()`
`MuleEvent` | `handleException(Exception e, MuleEvent event)` Take some action when a messaging exception has occurred (i.e., there was a message in play when the exception occurred).
`void` | `handleLifecycleException(Object component, Throwable t)`
`void` | `handleMessagingException(MuleMessage message, Throwable t)`
`void` | `handleRoutingException(MuleMessage message, ImmutableEndpoint endpoint, Throwable t)`
`void` | `handleStandardException(Throwable t)`
`boolean` | `isStopFurtherProcessing()`
`protected void` | `routeException(MuleMessage msg, ImmutableEndpoint failedEndpoint, Throwable t)`
`void` | `setRouter(OutboundRouter router)`
`void` | `setStopFurtherProcessing(boolean stopFurtherProcessing)`

Methods inherited from class org.mule.exception.AbstractMessagingExceptionStrategy
`defaultHandler, handleRoutingException, messageFromContextIfAvailable`

Methods inherited from class org.mule.exception.AbstractExceptionListener
`addEndpoint, closeStream, createOutboundRouter, dispose, doInitialise, fireNotification, getCommitTxFilter, getExceptionType, getMessageProcessors, getMessageProcessors, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, logFatal, removeMessageProcessor, rollbackTransaction, routeException, setCommitTxFilter, setEnableNotifications, setMessageProcessors, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RouteableExceptionStrategy

    public RouteableExceptionStrategy()

Method Detail

### handleException

    public MuleEvent handleException(Exception e,
                                     MuleEvent event)

  Take some action when a messaging exception has occurred (i.e., there was a message in play when the exception occurred).

  Specified by:
    `handleException` in interface `MessagingExceptionHandler`
  Overrides:
    `handleException` in class `AbstractMessagingExceptionStrategy`
  Parameters:
    `e` - which occurred
    `event` - which was being processed when the exception occurred
  Returns:
    new event to route on to the rest of the flow, generally with ExceptionPayload set on the message

### handleMessagingException

    public void handleMessagingException(MuleMessage message,
                                         Throwable t)

  Overrides:
    `handleMessagingException` in class `AbstractMessagingExceptionStrategy`

### handleRoutingException

    public void handleRoutingException(MuleMessage message,
                                       ImmutableEndpoint endpoint,
                                       Throwable t)

### handleLifecycleException

    public void handleLifecycleException(Object component,
                                         Throwable t)

  Overrides:
    `handleLifecycleException` in class `AbstractMessagingExceptionStrategy`

### handleStandardException

    public void handleStandardException(Throwable t)

  Overrides:
    `handleStandardException` in class `AbstractMessagingExceptionStrategy`

### defaultHandler

    protected void defaultHandler(MuleMessage message,
                                  Throwable t)

### getMessageFromContext

    protected MuleMessage getMessageFromContext(MuleMessage message)

### routeException

    protected void routeException(MuleMessage msg,
                                  ImmutableEndpoint failedEndpoint,
                                  Throwable t)

### getRouter

    public OutboundRouter getRouter()

### setRouter

    public void setRouter(OutboundRouter router)

### isStopFurtherProcessing

    public boolean isStopFurtherProcessing()

### setStopFurtherProcessing

    public void setStopFurtherProcessing(boolean stopFurtherProcessing)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.